from wtforms.validators import ValidationError


def FileSize(max_size_mb):
    max_size_b = max_size_mb * 1024 * 1024

    def file_length_check(form, field):
        if len(field.data.read()) >= max_size_b:
            raise ValidationError(
                f'File size must be less or equal than {max_size_mb} MB'
            )
        field.data.seek(0)

    return file_length_check
